Please enter your email address and we’ll send you a link to reset your password right away.

Your VIP area awaits in the APP

Log in to the app to manage your account, orders, and exclusive benefits.

Order tracking

Order tracking

Personalized notifications

Personalized notifications

Exclusive offers

Exclusive offers

Staying signed in lets you shop faster, check your orders, and access your favorites without signing in again.

Stay signed in
Log out
top

Sold and shipped by

sales

Free shipping

Return of order

Homepage

Zyxel GS1900-48-EU0102F switch

Price without code 299.99

RRP:

You save:

Price without subscription

VAT & duties included

No extra charges at delivery.

What is my size?

What is my size?

My virtual fitting room

My virtual fitting room

Single purchase

Add to my pack 

You save:

Buy now in 1 click
Back to PC configurator

Buy this product and earn

Color:

Free shipping

dto_trans discount on shipping

Free assembly

Free removal of old appliance (only with Ader)

Your interest-free financing from with Klarna Paypal

Pay in 3, 4, 6 or up to 12 installments

My virtual fitting room

Other colors available

left
right

Perfect pairings

left
right

Reportar error

Trusted by over 25 million satisfied customers worldwide

Official brand warranty

Quick & easy 30-day return

Features of Zyxel GS1900-48-EU0102F

Product description of Zyxel GS1900-48-EU0102F switch

Description summary

EU Plug.

Zyxel GS1900-48HP.

Switch Type:Managed, Switch Layer:L2.

Basic RJ-45 Ethernet switching type ports:Gigabit Ethernet (10/100/1000), Number of basic RJ-45 Ethernet switching ports:48.

Complete bidirectional (Full duplex).

MAC address table:8000 entries, Switching capacity:100 Gbit/s.

Network standards:IEEE 802.1p,IEEE 802.1Q,IEEE 802.3,IEEE 802.3ab,IEEE 802.3ad,IEEE 802.3af,IEEE 802.3at,IEEE.

Electrical connector:DC input socket.

Rack mounting.

Specifications:

-Quantity of basic RJ-45 Ethernet switching ports:48.

-Basic RJ-45 Ethernet switching type ports:Gigabit Ethernet (10/100/1000).

-Quantity of SFP module slots:2.

-Electrical connector:DC input socket.

-Width:440 mm.

-Depth:310 mm.

-Height:45 mm.

-Weight:4.24 kg.

-AC input voltage:100 -240 V.

-AC input frequency:50 -60 Hz.

-Energy consumption:250 W.

-Operating temperature range:0 -50 °C.

-Relative operating humidity:10 -95%.

-Storage temperature range:-40 -70 °C.

-Heat dissipation:853 BTU/h.

-Network standards:IEEE 802.1p, IEEE 802.1Q, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x.

-Copper Ethernet cabling.

Technology:1000BASE-T.

-Complete bidirectional (Full duplex):Yes.

-VLAN Support:Yes.

-MAC address table:8000 entries.

-Jumbo Frames, support:Yes.

-Switching capacity:100 Gbit/s.

-Save and forward:Yes.

-Cables included:Alternating current.

-Package weight:5.31 kg.

-Package width:583 mm.

-Package depth:451 mm.

-Package height:98 mm.

-Switch type:Managed.

-Quality of service (QoS) support:Yes.

-Switch layer:L2.

-MIB, support:RFC 1213 MIB II, RFC 2819 RMON (group 1, 2, 3, 9), RFC 1215, RFC 1493.

-Rack mounting:Yes.

-Product color:Black.

-LED indicators:Yes.

Certification:RoHS, CE.

-Cable management:Yes.

-Number of Power over Ethernet (PoE) ports:24.


Technical specifications of Zyxel GS1900-48-EU0102F

Features of Zyxel GS1900-48-EU0102F

Color Silver

Color

Silver

Key differentiators

Technology in Zyxel GS1900-48-EU0102F switch

Energy rating

Warnings

/ 5

1 Reviews

What our customers are saying about Zyxel GS1900-48-EU0102F switch

Write a review about this product

Answer the question

Write your answer

The question has already been answered, thank you very much for trying to help another customer. We will count on you for future questions.

Include AI Generated questions and answers

Ask a technical question about this product

Frequently bought together
Best sellers

Use cases

Best for

Benefits

Ideal buyer profiles

Competitive features

Where it excels

Consider alternatives if...

Verdict

Specs comparison

Specs vs competitors

Similar alternatives to this product
Related products viewed by other shoppers
We think you might be interested in this

You might also be interested in

Tradeinn works with its own stock and with more than 2,000 suppliers connected daily. We update availability in real time to offer you the widest possible catalog, always at the best price. Some products may require additional delivery time depending on supplier availability.

Quick & easy 30-day return

Secure & safe shopping

100% Satisfaction Guaranteed

Always the best online price

Loading image